Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.gui.datatransfer
Class CompositeTransferable

    java.lang.Object
      org.monte.media.gui.datatransfer.CompositeTransferable

All Implemented Interfaces:
  java.awt.datatransfer.Transferable

    public class CompositeTransferable

extends java.lang.Object
implements java.awt.datatransfer.Transferable

Author:
  Werner Randelshofer

Constructor Summary
`CompositeTransferable()` Creates a new instance of CompositeTransferable

Method Summary
`void` | `add(java.awt.datatransfer.Transferable t)`
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor)` Returns an object which represents the data to be transferred.
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()` Returns an array of DataFlavor objects indicating the flavors the data can be provided in.
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)` Returns whether or not the specified data flavor is supported for this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeTransferable

    public CompositeTransferable()

  Creates a new instance of CompositeTransferable

Method Detail

### add

    public void add(java.awt.datatransfer.Transferable t)

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Returns an object which represents the data to be transferred. The class of the object returned is defined by the representation class of the flavor.

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Parameters:
    `flavor` - the requested flavor for the data
  Throws:
    `java.io.IOException` - if the data is no longer available in the requested flavor.
    `java.awt.datatransfer.UnsupportedFlavorException` - if the requested data flavor is not supported.
  See Also:
    `DataFlavor.getRepresentationClass()`

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Returns an array of DataFlavor objects indicating the flavors the data can be provided in. The array should be ordered according to preference for providing the data (from most richly descriptive to least descriptive).

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`
  Returns:
    an array of data flavors in which this data can be transferred

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Returns whether or not the specified data flavor is supported for this object.

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`
  Parameters:
    `flavor` - the requested flavor for the data
  Returns:
    boolean indicating wjether or not the data flavor is supported

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD